org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryStatusCheckMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryStatusCheckMessage

All Implemented Interfaces:
  Serializable

    public class TcpDiscoveryStatusCheckMessage
    extends TcpDiscoveryAbstractMessage

Message sent by node to its next to ensure that next node and connection to it are alive. Receiving node should send it across the ring, until message does not reach coordinator. Coordinator responds directly to node.

If a failed node id is specified then the message is sent across the ring up to the sender node to ensure that the failed node is actually failed.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `STATUS_OK` Status OK.
`static int` `STATUS_RECON` Status RECONNECT.

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryStatusCheckMessage(TcpDiscoveryNode creatorNode, UUID failedNodeId)` Constructor.
`TcpDiscoveryStatusCheckMessage(TcpDiscoveryStatusCheckMessage msg)`

### Method Summary

Methods
`TcpDiscoveryNode` `creatorNode()` Gets creator node.
`boolean` `equals(Object obj)`
`UUID` `failedNodeId()` Gets failed node id.
`int` `status()` Gets creator status.
`void` `status(int status)` Sets creator node status (should be set by coordinator).
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, failedNodes, failedNodes, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STATUS_OK

    public static final int STATUS_OK

Status OK.

See Also:
  Constant Field Values

#### STATUS_RECON

    public static final int STATUS_RECON

Status RECONNECT.

See Also:
  Constant Field Values

### Constructor Detail

#### TcpDiscoveryStatusCheckMessage

    public TcpDiscoveryStatusCheckMessage(TcpDiscoveryNode creatorNode,
                                  UUID failedNodeId)

Constructor.

Parameters:
  `creatorNode` - Creator node.
  `failedNodeId` - Failed node id.

#### TcpDiscoveryStatusCheckMessage

    public TcpDiscoveryStatusCheckMessage(TcpDiscoveryStatusCheckMessage msg)

Parameters:
  `msg` - Message to copy.

### Method Detail

#### creatorNode

    public TcpDiscoveryNode creatorNode()

Gets creator node.

Returns:
  Creator node.

#### failedNodeId

    public UUID failedNodeId()

Gets failed node id.

Returns:
  Failed node id.

#### status

    public int status()

Gets creator status.

Returns:
  Creator node status.

#### status

    public void status(int status)

Sets creator node status (should be set by coordinator).

Parameters:
  `status` - Creator node status.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `TcpDiscoveryAbstractMessage`

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016